Bug: Galacticcraft isn't working with other UE mods (new versions)

Status
Not open for further replies.

nextcode

Member
Jun 30, 2013
13
1
3
Switzerland
Hello Guys

We updated our modpack to newest releases of Universal Electricity. On first launch of the client we've got errors with AssemblyLine and Fluid Mechanics and even Mekanism. After trying to fix this (and failing), we opened an issue on their github-page (you can get any information there):

https://github.com/DarkGuardsman/Assembly-Line/issues/39

As you can see there, we could fix the issue by removing Galacticcraft.

It would be nice if someone of the team could fix this in the next release of Galacticcraft. I could not post this into the Bug-Reports section (not enough rights to post there).
 

Space Viking

Member
Jun 30, 2013
251
174
43
First I want to inform that the newer builds of Mekanism got this issue worked out. Also, Atomic Science used to have this issue until it got updated as well.

This incompatibility occurred after Galacticraft had some update involving Basic Components in build #334.
 

nextcode

Member
Jun 30, 2013
13
1
3
Switzerland
Thanks for your information.

I had a small talk with DarkGuardsman so far.

The exact problem is that not every Universal Electricity mod uses the same version of the Universal Electricity API. The modders have to update their mods and sometimes this does take a while. So this is not a problem of GalacticCraft, witch already updated the API the newest version.

So in the mod's where we had problems, the newest version of the API is not implemented yet. So we just wait until they did and then readd GalacticCraft.

Version's working togheter (with GalacticCraft)


@Assembly Line v. 0.3.5 Build 146
@Atomic Science v. 0.6.0 Build 68
@Biotech v. 0.2.1 Build 33
@Complex Machines v. 0.3.3 Build 103
@Electric Expansion v. 2.3.0 Build 51
@Fluid Mechanics v. 0.5.1 Build 102
# ICMB
@Contraption 1.2.0 Build 151​
@Explosion 1.2.0 Build 151​
@Senitry 1.2.0 Build 151​
# Mekanism
@BasicComponents v. 5.5.6 Build 86​
@Generators v. 5.5.6 Build 86​
@Tools v. 5.5.6 Build 86​
@MFFS v. 3.0.4 Build 133
@MineChem v. 3.0.0 Build 234
@GalacticCraft v. 1.3.5 Build 319
@Modular Powersuits v. 0.7.0 Build 534
Version's working togheter (without GalacticCraft)

@Assembly Line v. 0.3.5 Build 147
@Atomic Science v. 0.6.0 Build 73
@Biotech v. 0.2.1 Build 35
@Complex Machines v. 0.3.3 Build 119
@Electric Expansion v. 2.3.0 Build 51
@Fluid Mechanics v. 0.5.1 Build 102
# ICBM
@Contraption 1.2.0 Build 153​
@Explosion 1.2.0 Build 153​
@Senitry 1.2.0 Build 153​
@MFFS v. 3.1.0 Build 154
# Mekanism
@BasicComponents v. 5.5.6 Build 103​
@Generators v. 5.5.6 Build 103​
@Tools v. 5.5.6 Build 103​
@MineChem v. 3.0.0 Build 239
@Modular Powersuits v. 0.7.0 Build 534
If you wanna use the newest version of GalacticCraft

Remove the Mod's Assembly Line and Fluid Mechanics, witch aren't updated to the newest API yet.
 
  • Like
Reactions: micdoodle8

Space Viking

Member
Jun 30, 2013
251
174
43
Fortunately, removing Assembly Line and Fluid Mechanics isn't necessary anymore. Their most recent build had their API updated and is now fully compatible with the latest version of Galacticraft. :)
 
Status
Not open for further replies.